@echo off

Rem Copyright by Jger Messtechnik GmbH
Rem Version 1.01 Beta
Rem 04.04.2008 JK created and tested on Win 2000, XP, Vista
Rem 16.07.2008 JK just version number updated
Rem 16.09.2008 JK Rem :  Deinstalling with logging
Rem 16.09.2009 JK install *.msi instead of *.exe
Rem 01.03.2011 JK "Return key"
Rem 03.11.2011 JK Option : not preinstall USB-driver
Rem 17.11.2011 JK logging with Windows 7 
Rem 10.05.2017 JK support for Windows 10
Rem 01.02.2018 JK deinstalling the "old" ADsim" package, which was distributed as a separate package in former times
Rem 17.12.2019 JK comment:   .NET Framework ... or 4.0 is required  



echo This program will install the ADwin-Software with minimal user interaction
Rem  --------------------------------------------------------------------------
echo.
echo                    (Remark: It is designed for XP, Vista, Win 7, Win 8, Win 10
echo                             NOT suitable for Win 2000, Win 9x, ME )
Rem  ------------------------------------------------------------------
echo.
echo.
echo Important : You need to be "Administrator" 
echo             or a member of the Administrators' group.
Rem  -----------------------------------------------------
echo.
echo.
echo Important : Microsoft (R) .NET Framework 2.0 or 3.5 or 4.0 is required.
Rem  -----------------------------------------------------------------------
echo.
echo.

set /p Cancel_question=Hit the "Return"- key to continue    or    press "c" ( + Return) to cancel :   
echo.
if x%Cancel_question%==xc goto END_CANCELLED
echo.


echo Have you already accepted the license agreement for the ADwin-Software ?
Rem  ------------------------------------------------------------------------
echo.
echo If yes, hit the "Return"- key to continue    
echo.
set /p Cancel_question=If no, press "c" ( + Return) to cancel :   
echo.
if x%Cancel_question%==xc goto END_CANCELLED
echo.


echo Deinstalling the existing version(s)
Rem  ------------------------------------
Rem "ADwin-Developer-Software"
    msiexec.exe /passive /x {8C3F82BA-4739-4401-A926-D4BBEDD66588}
Rem msiexec.exe /qn      /x {8C3F82BA-4739-4401-A926-D4BBEDD66588}
Rem alternatively :     with logging to the file msi.log
Rem msiexec.exe /passive /x {8C3F82BA-4739-4401-A926-D4BBEDD66588} /l*v+ C:\msi.log

Rem "ADwin-Driver and ADbasic" or "ADwin-Software"
    msiexec.exe /passive /x {3C56F3CD-AC88-4FDB-A09D-D493AD8FCCAB}
Rem msiexec.exe /qn      /x {3C56F3CD-AC88-4FDB-A09D-D493AD8FCCAB}
Rem alternatively :     with logging to the file msi.log
Rem msiexec.exe /passive /x {3C56F3CD-AC88-4FDB-A09D-D493AD8FCCAB} /l*v+ C:\msi.log

Rem "ADsim" (the old package, when ADsim was distributed as a separate package)
    msiexec.exe /passive /x {CBF002C0-D073-49F1-9D41-50ECE167FFE8}
echo.


echo Installing the new version   (Please wait ...)
Rem  ----------------------------------------------
Rem INSTALLLEVEL=55 means : do not install USB-drivers
Rem msiexec.exe /qb! /i Setup\ADwin-Software_6.00.28.07.msi INSTALLLEVEL=55 

REM    msiexec.exe /qb! /i Setup\ADwin-Software_6.00.28.07.msi
REM    msiexec.exe /qb! /i Setup\ADwin-Software_6.00.28.07.Beta.msi
Rem    msiexec.exe /qb! /i Setup\ADwin-Software_6.00.28.07.ADsim.msi
Rem    msiexec.exe /qb! /i Setup\ADwin-Software_6.00.28.07.ADsim.Beta.msi
REM    msiexec.exe /qb! /i Setup\ADwin-Software_6.00.28.07.ADsim.RC1.msi
       msiexec.exe /qb! /i ADwin-Software_6.00.28.07.Mini.msi

Rem msiexec.exe /qn  /i Setup\ADwin-Software_6.00.28.07.msi

Rem alternatively :     with logging to the file msi.log
Rem  with XP :
Rem    msiexec.exe /qb! /l*v+ c:\msi.log  /i Setup\ADwin-Software_6.00.28.07.msi
Rem  with Vista /Win 7 :
Rem                   => select another path :   replace "USERNAME" with your username !
Rem    msiexec.exe /qb! /l*v+ C:\Users\USERNAME\Downloads\msi.log  /i Setup\ADwin-Software_6.00.28.07.msi
Rem
Rem    If problems in writing the msi.log file, please check, if you are Administrator


echo.
echo Finished
Rem  --------
echo.

pause

Rem If the installation should run completely "silent" (no displaying of windows)
Rem then the options /passive and /qb!  should be replaced by the option /qn

:END_CANCELLED
